Subject: Re: bug#51658: [PATCH] Haiku port (again)

From: Po Lu <[email-masked]>
Date: Wed, 10 Nov 2021 12:33:31 +0800

Po Lu <[email-masked]> writes:

> I'm fine with removing the ftbe backend, but I would prefer to keep the
> haikufont backend working.  The reason is that Haiku users might not
> have Cairo installed, and it likes to break every now and then, as it's
> not considered important for that platform.

Actually, I now recall another problem with the Cairo font backend,
which is that it can't support color-mapped visuals.  This is a
limitation of how Cairo and Haiku define color mapping differently.

So I don't think it's good to remove ftbe anymore, either.  Thanks.